For the complete documentation index, see llms.txt.
/api/orders/updateUpdate Orders
You can use the Update Orders API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).
Orders
Create, search, update, tag, archive, restore, and list orders before shipping.
18 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/update
Details
You can use the Update Orders API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).
For new/unshipped orders you can update all non read-only fields in the model: Update Order Model
For printed & shipped orders you can update:
- Status (you cannot update back to new/unshipped once printed)
Update Orders Request
Update Orders Response
Request body
[
{
"order": {
"order_id": 1020304051,
"order_date": "2020-11-03T01:39:03.0533776Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"weight": 0.65,
"value": 125,
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12
}
]
}
}
]Response examples
Update Orders (200)
[
{
"order": {
"order_id": 1020304051,
"order_date": "2020-11-03T01:39:03.0690271Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"dangerous_goods": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.65,
"value": 125
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.1
}
],
"declared_value": 0,
"archived": false,
"manifest_number": 0,
"address_validation": "NotChecked",
"create_return": false,
"dtp": false,
"add_insurance": false,
"insurance_value": 0,
"plt": false,
"type": "Outgoing",
"platform": "MoneyWorks",
"status": "Unshipped"
},
"success": true
}
]